Office 2015 Mac

Discussion in 'Mac Apps and Mac App Store' started by nickcage49, Feb 27, 2015.

  1. nickcage49 macrumors newbie

    Joined:
    Jan 14, 2009
    #1
    I am an office 365 subscriber and outlook 2011 is absolutely horrible. I've given up on it.

    I understand Office 365 users can get the new version of Outlook, Outlook 2015. But stupid Microsoft insists that isn't the case, even when their blogs say it is.

    Can someone who uses Office 365 please give me the url to login so I can get this.

    Instructions would be nice too. Their platform is horrible. What else is new?

    And please, don't ask what my issues are with Office Mac 2011. I'M DONE WITH OUTLOOK FROM THIS VERSION OF OFFICE!
     
  2. OllyW Moderator

    OllyW

    Staff Member

    Joined:
    Oct 11, 2005
    Location:
    The Black Country, England
  3. nickcage49 thread starter macrumors newbie

    Joined:
    Jan 14, 2009
    #3
    Microsoft

    Unfortunately Outlook 2015 isn't shown there.

    Any ideas?
     
  4. MrGimper macrumors 601

    MrGimper

    Joined:
    Sep 22, 2012
    Location:
    Andover, UK
    #4
    I have an E3 Tenant, and the Outlook 2015 install is available here...
     
  5. nickcage49 thread starter macrumors newbie

    Joined:
    Jan 14, 2009
    #5
    Error

    For some reason I can't login there. It gives me an error message.

    Microsoft is so f'd up.
     
  6. MrGimper macrumors 601

    MrGimper

    Joined:
    Sep 22, 2012
    Location:
    Andover, UK
    #6
    As you have to have a valid O365 account and activate the software to use it, so can't use it unless you are entitled to, I'll upload the software to my dropbox and PM you a link.
     
  7. nickcage49 thread starter macrumors newbie

    Joined:
    Jan 14, 2009
    #7
    Thanks!

    YOU ARE THE MAN!

    And yes, I have a valid account.
     
  8. maflynn Moderator

    maflynn

    Staff Member

    Joined:
    May 3, 2009
    Location:
    Boston
    #8
    That's the business account and it won't work. You need to use this link
     
  9. nickcage49 thread starter macrumors newbie

    Joined:
    Jan 14, 2009
    #9
    Thanks!

    Thanks!

    I've actually got it now, but when I tried to install, I need to upgrade my version of os x. I'm still on 10.8.5

    Not sure I trust new versions of os x, based on some past experience.

    Damn!

    I'll probably upgrade soon, ugh!
     
  10. maflynn Moderator

    maflynn

    Staff Member

    Joined:
    May 3, 2009
    Location:
    Boston
    #10
    The latest version of Outlook requires Yosemite (10.10).
     
  11. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #11
    Outlook 15.6 runs and installs in 10.9.5 too.
     
  12. nickcage49 thread starter macrumors newbie

    Joined:
    Jan 14, 2009
    #12
    Version

    According to the install it was I believe 10.9.5

    And I hear terrible things about Yosemite, so that's not likely.
     
  13. maflynn Moderator

    maflynn

    Staff Member

    Joined:
    May 3, 2009
    Location:
    Boston
    #13
    Oops, my bad, I thought it was Yosemite - disregard my answer :eek:
     
  14. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #14
    I think the betas are requiring 10.10.x as of now, so you may not be wrong for the next revision.
     
  15. Donfor39 macrumors 6502a

    Donfor39

    Joined:
    Jul 26, 2012
    Location:
    Lanarkshire Scotland
    #15
    outlook2015 runs fine Yosemite 10.10.2
     
  16. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #16
    Of course, but we're talking about minimum requirements.
     

Share This Page